List webhook deliveries
Returns the webhook deliveries of one application with their status and attempt count, newest first. Use cursor and limit to read more pages.
GET/api/v2/developer/apps/{appId}/webhook-deliveries
Parameters #
| Property | Type | Location | Description |
|---|
appId | stringRequired | path | - |
cursor | string | query | - |
limit | integer | query | - |
x-request-id | string | header | - |
Request #
curl --request GET 'https://strave.gg/api/v2/developer/apps/APP_ID/webhook-deliveries' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'
Response #
200Response for status 200
application/json400Response for status 400
application/json401Response for status 401
application/json403Response for status 403
application/json404Response for status 404
application/json409Response for status 409
application/json412Response for status 412
application/json428Response for status 428
application/json429Response for status 429
application/json500Response for status 500
application/json503Response for status 503
application/json| Property | Type | Description |
|---|
data | object[]Required | - |
└id | stringRequired | - |
└applicationId | stringRequired | - |
└installationId | stringRequired | - |
└endpointId | stringRequired | - |
└eventId | stringRequired | - |
└eventType | stringRequired | - |
└status | stringRequired | - |
└attemptCount | integerRequired | - |
└responseStatus | integer | nullRequired | - |
└errorCode | string | nullRequired | - |
└redeliveryOf | string | nullRequired | - |
└createdAt | stringRequired | - |
└updatedAt | stringRequired | - |
└deliveredAt | string | nullRequired | - |
meta | objectRequired | - |
└nextCursor | string | nullRequired | - |
└hasMore | booleanRequired | - |